android中找不到UpdateContext类



  • 看着教程输入安装的指令后,在android中找不到UpdateContext类,怎么回事



  • 如图:![0_1461813804753_E[K_SY{L@%]_S(9ONLBND]D.jpg](/uploads/files/1461813805371-e-k_sy-l-_s-9onlbnd-d.jpg)



  • 此回复已被删除!


  • @KongSyp 截图显示不了,重新上传下:

    0_1461906447345_UpdateContext.jpg



  • @KongSyp 我也遇到了类似问题(环境Win10+Node 6.0+RN 0.21.0+react-native-update v1.0.2+VS2015),修改了如下配置解决了:

    在文件:
    ...\MyProject\android\settings.gradle

    1. 添加 ':react-native-update', 像下行这样:

    include ':react-native-update', ':app'

    1. 再添加如下行:

    project(':react-native-update').projectDir = new File(rootProject.projectDir, '../node_modules/react-native-update/android')

    同时确保:
    ...\MyProject\android\app\build.gradle
    文件最后的:

    dependencies {
    compile fileTree(dir: "libs", include: ["*.jar"])
    compile "com.android.support:appcompat-v7:23.0.1"
    compile "com.facebook.react:react-native:+"
    // 要有下面这句:
    compile project(':react-native-update')
    }

    我不知是不是那个 rnpm link react-native-update 没有把依赖引入完整造成的,还是就我们特例,你可以试试

    @tdzl2003 如果不是特例,是否酌情考虑补充到文档说明



  • @AndJoy 恩,应该是rnpm link失败导致的,多谢


登录后回复